Git development
 help / color / mirror / Atom feed
* t5570 trap use in start/stop_git_daemon
@ 2015-02-12 20:31 Randall S. Becker
  2015-02-13  7:44 ` Jeff King
  0 siblings, 1 reply; 5+ messages in thread
From: Randall S. Becker @ 2015-02-12 20:31 UTC (permalink / raw)
  To: 'Git Mailing List'; +Cc: 'Joachim Schmitz'

On the NonStop port, we found that “trap” was causing an issue with test
success for t5570. When start_git_daemon completes, the shell (ksh,bash) on
this platform is sending a signal 0 that is being caught and acted on by the
trap command within the start_git_daemon and stop_git_daemon functions. I am
taking this up with the operating system group, but in any case, it may be
appropriate to include a trap reset at the end of both functions, as below.
I verified this change on SUSE Linux.

diff --git a/t/lib-git-daemon.sh b/t/lib-git-daemon.sh
index bc4b341..543e98a 100644
--- a/t/lib-git-daemon.sh
+++ b/t/lib-git-daemon.sh
@@ -62,6 +62,7 @@ start_git_daemon() {
                test_skip_or_die $GIT_TEST_GIT_DAEMON \
                        "git daemon failed to start"
       fi
+       trap '' EXIT
}

stop_git_daemon() {
@@ -84,4 +85,6 @@ stop_git_daemon() {
        fi
        GIT_DAEMON_PID=
        rm -f git_daemon_output
+
+       trap '' EXIT
}

Cheers,
Randall
-- Brief whoami: NonStop&UNIX developer since approximately
UNIX(421664400)/NonStop(211288444200000000)
-- In real life, I talk too much.

^ permalink raw reply related	[flat|nested] 5+ messages in thread

end of thread, other threads:[~2015-02-13 12:27 UTC | newest]

Thread overview: 5+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2015-02-12 20:31 t5570 trap use in start/stop_git_daemon Randall S. Becker
2015-02-13  7:44 ` Jeff King
2015-02-13  8:03   ` Jeff King
2015-02-13  8:57     ` Joachim Schmitz
2015-02-13 12:27       ` Randall S. Becker

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox